<div [class]="inputGroupClass">
  <label *ngIf="mbConfig?.labelText != null" class="input__label" [innerHTML]="mbConfig?.labelText"></label>
  <div *ngIf="mbConfig?.labelText == null && mbConfig?.showFlexEnd" class="input__group--no-label"
       style="min-height: 19px"></div>
  <form [formGroup]="formInput">
    <div class="group__phone_numbes" [formArrayName]="mbGroupName">
      <div *ngFor="let phoneNumber of formInput.get(mbGroupName)['controls']; let i = index"
           [formGroupName]="i">
        <div class="input__group--compacts {{mbShowFormArray ? 'input__group--compacts--flex' : ''}}">
          <nz-input-group [class]="getInputGroupGroupClass(i)" [nzSuffix]="suffixTemplate">
            <nz-select style="min-width: 75px" class="select__group select__group--compact"
                       [nzOptionHeightPx]="mbOptionHeightPx" [nzOptionOverflowSize]="mbOptionOverflowSize"
                       [formControlName]="mbSelectControlName">
              <nz-option class="select__option" *ngFor="let dataSelect of mbDataSelects" [nzLabel]="dataSelect[mbKeyLabel]"
                         [nzValue]="dataSelect[mbKeyValue]"></nz-option>
            </nz-select>
            <input appNumberInput [class]="inputTextClass" [disabled]="mbConfig?.disable"
                   [autofocus]="mbConfig?.autofocus" nz-input
                   [placeholder]="mbConfig?.placeholder" [formControlName]="mbInputControlName"/>
          </nz-input-group>
          <div *ngIf="mbShowFormArray" class="group__action--form-array">
            <mb-button mbButtonIconType="AWESOME" mbPrefixIcon="far fa-plus-circle" mbButtonSize="VERY_LARGE"
                       mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="addPhoneNumbersFormGroup()"
                       mbButtonBgColor="#141ED2"></mb-button>
            <mb-button mbButtonIconType="AWESOME" mbPrefixIcon="far fa-trash-alt" mbButtonSize="VERY_LARGE"
                       mbButtonTextColor="#fff" mbButtonType="NO_BORDER" (click)="removeOrClearPhoneNumbers(i)"
                       mbButtonBgColor="#FA0B0B"></mb-button>
          </div>
          <ng-template #suffixTemplate>
            <nz-radio-group *ngIf="mbShowRadio" formControlName="index" [(ngModel)]="radioValue">
              <label nz-radio [nzValue]="i"></label>
            </nz-radio-group>
          </ng-template>
        </div>
        <div *ngIf="getShowError(i)" class="input__message input__message--error">
          <em *ngIf="getShowIcon(i)" nz-icon nzType="warning" nzTheme="outline"></em>
          <span class="text__message">{{getMessageValue(i)}}</span>
        </div>
      </div>
    </div>
  </form>
</div>
